
Auto Multiple Choice - Bug # 607: non reconnaissance des scans

Status: Closed Priority: Normal
Author: Nicolas Saby Category:
Created: 11/06/2018 Assignee:
Updated: 11/09/2018 Due date:
Description: Bonjour !

J'ai un souci avec la reconnaissance des scans. J'ai l'erreur ERROR(): No layout for ID +0/0/0+
Il semble au vu du fichier de log que ce soit un problème de conflit avec libopencv_face.so.3.1.
J'ai installé auto-multiple-choice-1.3.0 sur une opensuse LEAP15.0 et la version de libopencv installée est 
libopencv_face.so.3.3
J'ai vu quelques post sur ce sujet dans le forum, mais la réinstallation d'amc n'a pas résolu le problème.
Dois-je upgrader sur auto-multiple-choice-1.4.0rc2 ?

History
11/06/2018 05:43 pm - Alexis Bienvenüe
Comment avez-vous installé AMC ?

11/06/2018 05:48 pm - Nicolas Saby
Alexis Bienvenüe wrote:
> Comment avez-vous installé AMC ?

A partir de l'archive amc_1.3.0_precomp.tar.gz
make
make install

Je dois préciser que je n'avais pas de problème jusqu'à aujourd'hui. Peut-être une mise à jour du système a créé ce bug ?

11/06/2018 07:50 pm - Alexis Bienvenüe
- Status changed from New to Feedback

S'il y a eu une mise à jour d'OpenCV, les versions de bibliothèques ne correspondent plus, et il faut donc recompiler AMC avec les nouvelles versions 
(sans forcément changer de version d'AMC).

11/07/2018 08:23 am - Nicolas Saby
Alexis Bienvenüe wrote:
> S'il y a eu une mise à jour d'OpenCV, les versions de bibliothèques ne correspondent plus, et il faut donc recompiler AMC avec les nouvelles versions 
(sans forcément changer de version d'AMC).
Hélas, cela n'a rien changé :-/
J'ai bien recompilé avec
make
make install

install -d -m 0755 -o root -g root //usr/share/locale/ja/LC_MESSAGES
install    -m 0644 -o root -g root I18N/lang/ja.mo //usr/share/locale/ja/LC_MESSAGES/auto-multiple-choice.mo
install -d -m 0755 -o root -g root //usr/share/locale/fr/LC_MESSAGES
install    -m 0644 -o root -g root I18N/lang/fr.mo //usr/share/locale/fr/LC_MESSAGES/auto-multiple-choice.mo
install -d -m 0755 -o root -g root //usr/share/locale/es/LC_MESSAGES
install    -m 0644 -o root -g root I18N/lang/es.mo //usr/share/locale/es/LC_MESSAGES/auto-multiple-choice.mo
install -d -m 0755 -o root -g root //usr/share/locale/de/LC_MESSAGES
install    -m 0644 -o root -g root I18N/lang/de.mo //usr/share/locale/de/LC_MESSAGES/auto-multiple-choice.mo
install -d -m 0755 -o root -g root //usr/share/locale/ar/LC_MESSAGES
install    -m 0644 -o root -g root I18N/lang/ar.mo //usr/share/locale/ar/LC_MESSAGES/auto-multiple-choice.mo
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/ar
install    -m 0644 -o root -g root doc/modeles/ar/*.tgz //usr/share/auto-multiple-choice/models/ar
install    -m 0644 -o root -g root doc/modeles/ar/*.xml //usr/share/auto-multiple-choice/models/ar
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/en
install    -m 0644 -o root -g root doc/modeles/en/*.tgz //usr/share/auto-multiple-choice/models/en
install    -m 0644 -o root -g root doc/modeles/en/*.xml //usr/share/auto-multiple-choice/models/en
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/fr
install    -m 0644 -o root -g root doc/modeles/fr/*.tgz //usr/share/auto-multiple-choice/models/fr
install    -m 0644 -o root -g root doc/modeles/fr/*.xml //usr/share/auto-multiple-choice/models/fr
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/ja
install    -m 0644 -o root -g root doc/modeles/ja/*.tgz //usr/share/auto-multiple-choice/models/ja
install    -m 0644 -o root -g root doc/modeles/ja/*.xml //usr/share/auto-multiple-choice/models/ja
install -d -m 0755 -o root -g root //usr/share/mime/packages
install    -m 0644 -o root -g root interfaces/auto-multiple-choice.xml //usr/share/mime/packages
install -d -m 0755 -o root -g root //usr/share/gtksourceview-3.0/language-specs
install    -m 0644 -o root -g root interfaces/amc-txt.lang //usr/share/gtksourceview-3.0/language-specs
install -d -m 0755 -o root -g root //usr/lib/AMC
install -d -m 0755 -o root -g root //usr/lib/AMC/perl
install -d -m 0755 -o root -g root //usr/lib/AMC/exec
install    -m 0755 -o root -g root AMC-*.pl //usr/lib/AMC/perl
install    -m 0755 -o root -g root AMC-detect AMC-buildpdf //usr/lib/AMC/exec
install    -m 0644 -o root -g root AMC-gui-apropos.glade AMC-gui-unrecognized.glade AMC-gui-source_latex_modele.glade 
AMC-gui-source_latex_dialog.glade AMC-gui-source_latex_choix_zip.glade AMC-gui-source_latex_choix.glade AMC-gui-saisie_auto.glade 
AMC-gui-make_template.glade AMC-gui-main_window.glade AMC-gui-mailing.glade AMC-gui-liste_dialog.glade AMC-gui-filter_details.glade 
AMC-gui-edit_preferences.glade AMC-gui-cleanup.glade AMC-gui-choose_students.glade AMC-gui-choose-mode.glade 
AMC-gui-choose_columns.glade AMC-gui-choix_projet.glade AMC-gui-choix_postcorrect.glade AMC-gui-choix_pages_impression.glade 
//usr/lib/AMC/perl
install -d -m 0755 -o root -g root //usr/share/texmf/tex/latex/AMC
install    -m 0644 -o root -g root doc/sty/automultiplechoice.sty //usr/share/texmf/tex/latex/AMC
install -d -m 0755 -o root -g root //usr/share/applications
install    -m 0644 -o root -g root -T auto-multiple-choice.desktop //usr/share/applications/auto-multiple-choice.desktop
install -d -m 0755 -o root -g root //usr/bin
install    -m 0755 -o root -g root auto-multiple-choice //usr/bin
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/icons
install    -m 0644 -o root -g root icons/*.svg //usr/share/auto-multiple-choice/icons
install -d -m 0755 -o root -g root //usr/share/pixmaps
install    -m 0644 -o root -g root -T icons/auto-multiple-choice.xpm //usr/share/pixmaps/auto-multiple-choice.xpm
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/Export
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/Export/register
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/Filter
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/Filter/register
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/DataModule
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/Gui
install -d -m 0755 -o root -g root //usr/lib/perl5/5.26.1/AMC/Print
install    -m 0644 -o root -g root AMC-perl/AMC/*.pm //usr/lib/perl5/5.26.1/AMC
install    -m 0644 -o root -g root AMC-perl/AMC/Export/*.pm //usr/lib/perl5/5.26.1/AMC/Export
install    -m 0644 -o root -g root AMC-perl/AMC/Export/register/*.pm //usr/lib/perl5/5.26.1/AMC/Export/register
install    -m 0644 -o root -g root AMC-perl/AMC/Filter/*.pm //usr/lib/perl5/5.26.1/AMC/Filter
install    -m 0644 -o root -g root AMC-perl/AMC/Filter/register/*.pm //usr/lib/perl5/5.26.1/AMC/Filter/register
install    -m 0644 -o root -g root AMC-perl/AMC/DataModule/*.pm //usr/lib/perl5/5.26.1/AMC/DataModule
install    -m 0644 -o root -g root AMC-perl/AMC/Gui/*.pm //usr/lib/perl5/5.26.1/AMC/Gui
install    -m 0644 -o root -g root AMC-perl/AMC/Gui/*.glade //usr/lib/perl5/5.26.1/AMC/Gui
install    -m 0644 -o root -g root AMC-perl/AMC/Print/*.pm //usr/lib/perl5/5.26.1/AMC/Print
Installing doc...
install -d -m 0755 -o root -g root //usr/share/doc/texmf/AMC/
install    -m 0644 -o root -g root doc/sty/*.pdf doc/sty/*.tex //usr/share/doc/texmf/AMC/
install -d -m 0755 -o root -g root //usr/share/doc/auto-multiple-choice-doc
install    -m 0644 -o root -g root doc/auto-multiple-choice.ja.xml doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.ja.pdf doc/auto-multiple-choice.fr.pdf doc/auto-multiple-choice.en.pdf //usr/share/doc/auto-multiple-choice-doc
cp -r doc/html //usr/share/doc/auto-multiple-choice-doc
chown -hR root //usr/share/doc/auto-multiple-choice-doc
chgrp -hR root //usr/share/doc/auto-multiple-choice-doc
install -d -m 0755 -o root -g root //usr/share/man/man1
install    -m 0644 -o root -g root doc/*.1 //usr/share/man/man1

11/07/2018 08:27 am - Alexis Bienvenüe
Visiblement @make@ n'a pas recompilé les binaires, car ils étaient déjà présents et à jour par rapport aux sources.
Essayez de les effacer avant l'appel à @make@
<pre>
rm AMC-detect AMC-buildpdf AMC-pdfformfields
make
</pre>

11/07/2018 11:12 am - Nicolas Saby
Alexis Bienvenüe wrote:
> Visiblement @make@ n'a pas recompilé les binaires, car ils étaient déjà présents et à jour par rapport aux sources.
> Essayez de les effacer avant l'appel à @make@
> [...]

J'ai effacé les fichiers concernés et constaté qu'il me manquait opencv-dev et une partie du compilateur c++
Après installation j'ai maintenant un problème qui semble avoir déjà été signalé : Support #553
et je ne vois pas quoi faire :-/

Voila la sortie du make :
gcc -o AMC-detect AMC-detect.cc  -O2   -lstdc++ -lm -I/usr/include/opencv -L/usr//usr/lib64 -lopencv_face -lopencv_ml -lopencv_objdetect 
-lopencv_shape -lopencv_stitching -lopencv_superres -lopencv_tracking -lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_calib3d 
-lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_imgproc -lopencv_flann 
-lopencv_core
AMC-detect.cc: In function ‘void calage(IplImage*, IplImage*, double, double, double, double, double, int, double*, double*, IplImage**, int)’:
AMC-detect.cc:543:19: error: ‘CV_RGB’ was not declared in this scope
  CvScalar color = CV_RGB( rand()&255, rand()&255, rand()&255 );
                   ^~~~~~
AMC-detect.cc:543:19: note: suggested alternative: ‘CV_C’
  CvScalar color = CV_RGB( rand()&255, rand()&255, rand()&255 );
                   ^~~~~~
                   CV_C
AMC-detect.cc:551:25: error: ‘CV_RGB’ was not declared in this scope
        CvScalar color = CV_RGB( 60,198,127 );
                         ^~~~~~
AMC-detect.cc:551:25: note: suggested alternative: ‘CV_C’
        CvScalar color = CV_RGB( 60,198,127 );
                         ^~~~~~
                         CV_C
AMC-detect.cc:575:46: error: ‘CV_RGB’ was not declared in this scope
  cvLine(*dst,coins_int[i],coins_int[(i+1)%4],CV_RGB(255,255,255),1,CV_AA);
                                              ^~~~~~
AMC-detect.cc:575:46: note: suggested alternative: ‘CV_C’
  cvLine(*dst,coins_int[i],coins_int[(i+1)%4],CV_RGB(255,255,255),1,CV_AA);
                                              ^~~~~~
                                              CV_C
AMC-detect.cc:582:46: error: ‘CV_RGB’ was not declared in this scope
  cvLine(*dst,coins_int[i],coins_int[(i+1)%4],CV_RGB(193,29,27),1,CV_AA);
                                              ^~~~~~
AMC-detect.cc:582:46: note: suggested alternative: ‘CV_C’
  cvLine(*dst,coins_int[i],coins_int[(i+1)%4],CV_RGB(193,29,27),1,CV_AA);
                                              ^~~~~~
                                              CV_C
AMC-detect.cc:66:14: error: ‘CV_RGB’ was not declared in this scope
 #define BLEU CV_RGB(38,69,223)
              ^
AMC-detect.cc:589:49: note: in expansion of macro ‘BLEU’
  cvLine(illustr,coins_int[i],coins_int[(i+1)%4],BLEU,1,CV_AA);
                                                 ^~~~
AMC-detect.cc:66:14: note: suggested alternative: ‘CV_C’
 #define BLEU CV_RGB(38,69,223)
              ^
AMC-detect.cc:589:49: note: in expansion of macro ‘BLEU’
  cvLine(illustr,coins_int[i],coins_int[(i+1)%4],BLEU,1,CV_AA);
                                                 ^~~~
AMC-detect.cc: In function ‘void mesure_case(IplImage*, IplImage*, int, int, int, int, int, double, int, double, double, double, double, linear_transform*, 
point*, IplImage*, char*, int)’:
AMC-detect.cc:66:14: error: ‘CV_RGB’ was not declared in this scope
 #define BLEU CV_RGB(38,69,223)
              ^
AMC-detect.cc:783:49: note: in expansion of macro ‘BLEU’
  cvLine(illustr,coins_int[i],coins_int[(i+1)%4],BLEU,1,CV_AA);
                                                 ^~~~
AMC-detect.cc:66:14: note: suggested alternative: ‘CV_C’
 #define BLEU CV_RGB(38,69,223)
              ^
AMC-detect.cc:783:49: note: in expansion of macro ‘BLEU’
  cvLine(illustr,coins_int[i],coins_int[(i+1)%4],BLEU,1,CV_AA);
                                                 ^~~~
AMC-detect.cc:927:50: error: ‘CV_RGB’ was not declared in this scope
       cvLine(dst,coins_int[i],coins_int[(i+1)%4],CV_RGB(255,255,255),1,CV_AA);
                                                  ^~~~~~
AMC-detect.cc:927:50: note: suggested alternative: ‘CV_C’
       cvLine(dst,coins_int[i],coins_int[(i+1)%4],CV_RGB(255,255,255),1,CV_AA);
                                                  ^~~~~~
                                                  CV_C
AMC-detect.cc:67:14: error: ‘CV_RGB’ was not declared in this scope
 #define ROSE CV_RGB(223,38,203)
              ^
AMC-detect.cc:936:49: note: in expansion of macro ‘ROSE’
  cvLine(illustr,coins_int[i],coins_int[(i+1)%4],ROSE,1,CV_AA);
                                                 ^~~~
AMC-detect.cc:67:14: note: suggested alternative: ‘CV_C’
 #define ROSE CV_RGB(223,38,203)
              ^
AMC-detect.cc:936:49: note: in expansion of macro ‘ROSE’
  cvLine(illustr,coins_int[i],coins_int[(i+1)%4],ROSE,1,CV_AA);
                                                 ^~~~
AMC-detect.cc: In function ‘int main(int, char**)’:
AMC-detect.cc:66:14: error: ‘CV_RGB’ was not declared in this scope
 #define BLEU CV_RGB(38,69,223)
              ^
AMC-detect.cc:1261:39: note: in expansion of macro ‘BLEU’
  cvPutText(illustr,text,textpos,&font,BLEU);
                                       ^~~~
AMC-detect.cc:66:14: note: suggested alternative: ‘CV_C’
 #define BLEU CV_RGB(38,69,223)
              ^
AMC-detect.cc:1261:39: note: in expansion of macro ‘BLEU’
  cvPutText(illustr,text,textpos,&font,BLEU);
                                       ^~~~
make: *** [Makefile:123: AMC-detect] Error 1

11/07/2018 11:53 am - Alexis Bienvenüe
Si vous n'avez pas de projet en cours, pouvez-vous essayer avec la denière version d'AMC ?

11/07/2018 02:54 pm - Nicolas Saby
Alexis Bienvenüe wrote:
> Si vous n'avez pas de projet en cours, pouvez-vous essayer avec la denière version d'AMC ?

J'ai des projets en cours et j'ai préféré patché les fichiers de conf.

Il semble que la macro CV_RGB n'existe plus dans opencv3.4.2 qui a été mis à jour dans opensuse LEAP15.0;
J'ai donc ajouté la définition de cette macro dans le fichier AMC-detect.cc :
#define 	CV_RGB(r, g, b)   cv::Scalar((b), (g), (r), 0)

et j'ai changé la ligne
          CV_RETR_CCOMP, CV_RGBHAIN_APPROX_SIMPLE );
en
          CV_RETR_CCOMP, CV_CHAIN_APPROX_SIMPLE );

car il ne comprenait pas non plus CV_RGBHAIN_APPROX_SIMPLE

Après avoir installé quelques packages supplémentaires concernant cairo et poppler qui n'était plus installé par
défaut sur mon opensuse, tout semble rentré dans l'ordre.

Merci pour votre aide et longue vie à AMC.

11/07/2018 03:49 pm - Nicolas Saby
Nicolas Saby wrote:
> Alexis Bienvenüe wrote:
> > Si vous n'avez pas de projet en cours, pouvez-vous essayer avec la denière version d'AMC ?
> 
> J'ai des projets en cours et j'ai préféré patché les fichiers de conf.
> 
> Il semble que la macro CV_RGB n'existe plus dans opencv3.4.2 qui a été mis à jour dans opensuse LEAP15.0;
> J'ai donc ajouté la définition de cette macro dans le fichier AMC-detect.cc :
> #define 	CV_RGB(r, g, b)   cv::Scalar((b), (g), (r), 0)
> 
> et j'ai changé la ligne
>           CV_RETR_CCOMP, CV_RGBHAIN_APPROX_SIMPLE );
> en
>           CV_RETR_CCOMP, CV_CHAIN_APPROX_SIMPLE );
> 
> car il ne comprenait pas non plus CV_RGBHAIN_APPROX_SIMPLE
> 
> Après avoir installé quelques packages supplémentaires concernant cairo et poppler qui n'était plus installé par
> défaut sur mon opensuse, tout semble rentré dans l'ordre.
> 
> Merci pour votre aide et longue vie à AMC.

Je me suis emballé trop vite :-(
Lorsque je saisis les scans, la colonne de sensibilité est vide :-/ 
Je ne comprends pas où est le problème ?

11/07/2018 04:03 pm - Alexis Bienvenüe
> Lorsque je saisis les scans, la colonne de sensibilité est vide :-/ 
C'est la seule colonne vide ?
Y a-t-il d'autres problèmes ?

11/07/2018 04:07 pm - Nicolas Saby
- File Screenshot_20181107_160629.png added

- File Screenshot_20181107_160438.png added

Oui dans l'onglet "Saisie" c'est la seule colonne vide.
Je ne sais pas si c'est lié, mais le bouton "calage" ne fonctionne pas et le bouton "zoom" n'indique rien.

11/07/2018 04:11 pm - Alexis Bienvenüe
Les cases à cocher sont bien visibles sur la fenêtre de vérification des mises en page (onglet préparation) ?

11/07/2018 04:18 pm - Nicolas Saby
- File Screenshot_20181107_161752.png added

Alexis Bienvenüe wrote:
> Les cases à cocher sont bien visibles sur la fenêtre de vérification des mises en page (onglet préparation) ?

Oui

11/07/2018 04:21 pm - Alexis Bienvenüe
Pouvez-vous poster un fichier log correspondant à une saisie automatique ?

11/07/2018 04:23 pm - Nicolas Saby
- File AMC-DEBUG-vHrJEzFp.log added

05/03/2024 6/8



Alexis Bienvenüe wrote:
> Pouvez-vous poster un fichier log correspondant à une saisie automatique ?

11/07/2018 04:31 pm - Alexis Bienvenüe
Je ne vois pas de saisie automatique dans ce fichier log…

11/07/2018 04:34 pm - Nicolas Saby
- File AMC-DEBUG-6vYr05v3.log added

Alexis Bienvenüe wrote:
> Je ne vois pas de saisie automatique dans ce fichier log…

Oups, je me suis trompé de fichier :-/

11/07/2018 04:49 pm - Alexis Bienvenüe
> terminate called after throwing an instance of 'cv::Exception'
>  what():  OpenCV(3.4.3) /home/abuild/rpmbuild/BUILD/opencv-3.4.3/modules/core/src/matrix_wrap.cpp:800: error: (-215:Assertion failed) (flags & 
FIXED_TYPE) != 0 in function 'type'
Il semble qu'OpenCV pose encore problème, mais je ne vois pas ce qui bloque.

11/07/2018 05:10 pm - Nicolas Saby
Alexis Bienvenüe wrote:
> > terminate called after throwing an instance of 'cv::Exception'
> >  what():  OpenCV(3.4.3) /home/abuild/rpmbuild/BUILD/opencv-3.4.3/modules/core/src/matrix_wrap.cpp:800: error: (-215:Assertion failed) (flags & 
FIXED_TYPE) != 0 in function 'type'
> Il semble qu'OpenCV pose encore problème, mais je ne vois pas ce qui bloque.

Oui, ça parait clair.
Probablement des conflits de version :-/ mais je ne sais pas à quel moment ni dans quel fichier il fait cet appel qui crée cette erreur.

11/08/2018 08:55 am - Nicolas Saby
Nicolas Saby wrote:
> Alexis Bienvenüe wrote:
> > > terminate called after throwing an instance of 'cv::Exception'
> > >  what():  OpenCV(3.4.3) /home/abuild/rpmbuild/BUILD/opencv-3.4.3/modules/core/src/matrix_wrap.cpp:800: error: (-215:Assertion failed) (flags & 
FIXED_TYPE) != 0 in function 'type'
> > Il semble qu'OpenCV pose encore problème, mais je ne vois pas ce qui bloque.
> 
> Oui, ça parait clair.
> Probablement des conflits de version :-/ mais je ne sais pas à quel moment ni dans quel fichier il fait cet appel qui crée cette erreur.

Est-ce que le Bug #543 n'est pas le même problème ?
Il semble qu'il y a ait un souci à partir de  opencv3.4.1 :
The C API is deprecated anyway, so you should switch to the C++ API.
https://github.com/bytedeco/javacv/issues/998
https://github.com/bytedeco/javacv/issues/1023

11/08/2018 11:23 am - Alexis Bienvenüe
En effet. Alors je pense qu'il faudra essayer avec une version récente d'AMC.
11/08/2018 11:25 am - Nicolas Saby
Alexis Bienvenüe wrote:
> En effet. Alors je pense qu'il faudra essayer avec une version récente d'AMC.

Entendu.
Je vais faire des tests et vous tiens au courant.

11/08/2018 04:44 pm - Nicolas Saby
Nicolas Saby wrote:
> Alexis Bienvenüe wrote:
> > En effet. Alors je pense qu'il faudra essayer avec une version récente d'AMC.
> 
> Entendu.
> Je vais faire des tests et vous tiens au courant.

J'ai installé la version 1.3.0-2208 trouvée ici
https://bitbucket.org/auto-multiple-choice/auto-multiple-choice/downloads/auto-multiple-choice_1.3.0-2208-493a811c6b40_dist.tar.gz

J'ai du installer quelques paquets de Gtk3 qui n'étaient pas présents dans opensuse LEAP 15.0 (grrr :-/), notamment le fichier
 Gtk3.pm qui n'était pas présent.

Il semble que cela fonctionne à présent.
J'ai quelques WARNING concernant des encodages utf8, mais cela n'a pas l'air de nuire. 
J'y reviendrai si j'en ai l'occasion.

Merci pour votre aide.

11/09/2018 09:08 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Le projet a migré vers "gitlab":https://gitlab.com/jojo_boulix/auto-multiple-choice/, où vous trouverez des "versions plus 
récentes":https://gitlab.com/jojo_boulix/auto-multiple-choice/tags.
